#New Player#
execute as @a[tag=!started] run function edd:dream/init

#Start Triggers#
scoreboard players enable @a trigstart
scoreboard players enable @a trigcity
scoreboard players enable @a trigyt
scoreboard players enable @a trigresource

#Start Map#
execute if entity @p[scores={trigstart=1}] run function edd:dream/start
execute as @a[scores={trigcity=1}] run function edd:dream/triggers/city
execute as @a[scores={trigyt=1}] run function edd:dream/triggers/youtube
execute as @a[scores={trigresource=1}] run function edd:dream/triggers/resource

#Mind Particles#
execute as @e[type=item,tag=mind] at @s run particle enchant ~ ~0.3 ~ 0.2 0.2 0.2 0 4 normal

#Stages#
    #Teddy's House#
execute if score stage counter matches 1 run function edd:dream/teddyhouse/stage1
    #Cloud Parkour#
execute if score stage counter matches 2 run function edd:dream/cloud/stage2
    #Police#
execute if score stage counter matches 3 run function edd:dream/police/stage3
    #Monster#
execute if score stage counter matches 4 run function edd:dream/monster/stage4
    #Baby#
execute if score stage counter matches 5 run function edd:dream/baby/stage5
    #Wizard#
execute if score stage counter matches 6 run function edd:dream/wizard/stage6
    #Work#
execute if score stage counter matches 7 run function edd:dream/work/stage7
    #UFO#
execute if score stage counter matches 8 run function edd:dream/ufo/stage8
    #Art#
execute if score stage counter matches 9 run function edd:dream/art/stage9
    #Teddy's House 2#
execute if score stage counter matches 10 run function edd:dream/teddyhouse/stage10

scoreboard players set @a shoot 0

#Ink Blackness#
execute if score blackness counter matches 1.. run scoreboard players remove blackness counter 1
execute if score blackness counter matches 1.. at @a run particle minecraft:squid_ink ~ ~1.6 ~ 1 1 1 0 3000 force

#Mind Piece Safeguard#
execute unless score mindful counter matches 1 if entity @a[nbt={Inventory:[{id:"minecraft:warped_fungus_on_a_stick",tag:{ticket:6b}}]}] run scoreboard players set mindful counter 1

execute if score mindful counter matches 1 unless entity @a[nbt={Inventory:[{id:"minecraft:warped_fungus_on_a_stick",tag:{ticket:6b}}]}] run scoreboard players add minddrop counter 1
execute if score mindful counter matches 1 if entity @a[nbt={Inventory:[{id:"minecraft:warped_fungus_on_a_stick",tag:{ticket:6b}}]}] run scoreboard players set minddrop counter 0
execute if score minddrop counter matches 200 run function edd:dream/givemind

#Dream Recording#
execute if score drdelay counter matches 1.. run scoreboard players remove drdelay counter 1
execute if block -2513 11 28 minecraft:polished_blackstone_button[powered=true] unless score drdelay counter matches 1.. run function edd:dream/dr0




# Play testers